Bug 784027 - cannot load rdflib on EL-6
Summary: cannot load rdflib on EL-6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-rdflib
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 784029
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-23 15:46 UTC by Matěj Cepl
Modified: 2018-04-11 07:20 UTC (History)
5 users (show)

Fixed In Version: python-rdflib-3.2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 16:52:52 UTC
Type: ---


Attachments (Terms of Use)

Description Matěj Cepl 2012-01-23 15:46:20 UTC
Description of problem:
mitmanek:~ $ python
Python 2.6.6 (r266:84292, Sep 12 2011, 14:03:14) 
[GCC 4.4.5 20110214 (Red Hat 4.4.5-6)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import rdflib
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/rdflib/__init__.py", line 65, in <module>
    from rdflib.term import URIRef, BNode, Literal, Variable
  File "/usr/lib/python2.6/site-packages/rdflib/term.py", line 49, in <module>
    from isodate import parse_time, parse_date, parse_datetime
ImportError: No module named isodate
>>> 


Version-Release number of selected component (if applicable):
python-rdflib-3.2.0-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 James Laska 2012-01-24 14:12:21 UTC
If python-rdflib requires python-isodate, shouldn't we have a Requires: python-isodate in the rdflib spec?

Comment 3 Fedora Update System 2012-02-21 10:19:41 UTC
python-rdflib-3.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0190/python-rdflib-3.2.0-1.el6

Comment 4 Fedora Update System 2012-02-21 16:52:52 UTC
python-rdflib-3.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Dennis Schridde 2012-03-22 21:23:48 UTC
I am not sure what is going on here, but I still get:

Python 2.6.6 (r266:84292, Jan  4 2012, 16:09:28) 
[GCC 4.4.6 20110731 (Red Hat 4.4.6-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import rdflib
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/rdflib/__init__.py", line 65, in <module>
    from rdflib.term import URIRef, BNode, Literal, Variable
  File "/usr/lib/python2.6/site-packages/rdflib/term.py", line 49, in <module>
    from isodate import parse_time, parse_date, parse_datetime
ImportError: No module named isodate

# rpm -qf /usr/lib/python2.6/site-packages/rdflib/term.py
python-rdflib-3.2.0-1.el6.noarch

Name        : python-rdflib
Arch        : noarch
Version     : 3.2.0
Release     : 1.el6
Size        : 1.0 M
Repo        : installed
From repo   : epel
Committer   : Pierre-Yves Chibon <pingou>
Committime  : Fri Jan 20 13:00:00 2012
Buildtime   : Fri Jan 20 10:50:19 2012
Install time: Thu Mar 22 22:04:02 2012

Comment 6 Fedora Update System 2012-03-23 07:35:57 UTC
python-rdflib-3.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-rdflib-3.2.0-2.el6

Comment 7 Pierre-YvesChibon 2012-03-23 07:36:33 UTC
For some reasons I mixed up this, just pushed a new release that should fix this.

Comment 8 Dennis Schridde 2012-03-23 09:55:35 UTC
Ah, now I see what happened. 3.2.0-1 was pushed in February, but -3 fixes the issue, as your commit points out. In that case pushing -2 today was still not enough, as -3 is needed (see [1]).

[1] http://pkgs.fedoraproject.org/gitweb/?p=python-rdflib.git;a=commitdiff;h=7584bd6ab75f81a8c8a73915c88c8dde996b7079

Comment 9 Fedora Update System 2012-06-03 18:31:23 UTC
python-rdflib-3.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Dennis Schridde 2012-06-03 18:51:34 UTC
(In reply to comment #9)
> python-rdflib-3.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable
> repository.  If problems still persist, please make note of it in this bug
> report.
You are right, I looked at the wrong branch of the python-rdflib git repository (master instead of el6). In that case -2 [1] should indeed fix it. Thanks!

P.S: Fixed-in-version should be updated to -2.

[1] http://pkgs.fedoraproject.org/gitweb/?p=python-rdflib.git;a=commitdiff;h=90b148b3bb2a6a86aebcb95165972ceafef65410


Note You need to log in before you can comment on or make changes to this bug.